commit:     5b0f62ad73551bcd1d113ccfc46d3296fd612c21
Author:     Volkmar W. Pogatzki <gentoo <AT> pogatzki <DOT> net>
AuthorDate: Thu Nov 11 11:09:47 2021 +0000
Commit:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
CommitDate: Tue Dec  7 07:52:42 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5b0f62ad

dev-java/ant-contrib: EAPI 8, restrict test

Bug: https://bugs.gentoo.org/784803
Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Volkmar W. Pogatzki <gentoo <AT> pogatzki.net>
Closes: 
https://github.com/gentoo/gentoo/pull/23192/commits/3ac55bdf57671654e35edc0ac74f5ba4b7b5f807
Signed-off-by: Miroslav Šulc <fordfrog <AT> gentoo.org>

 .../ant-contrib-1.0_beta6_pre20201123-r1.ebuild    | 74 ++++++++++++++++++++++
 1 file changed, 74 insertions(+)

diff --git a/dev-java/ant-contrib/ant-contrib-1.0_beta6_pre20201123-r1.ebuild 
b/dev-java/ant-contrib/ant-contrib-1.0_beta6_pre20201123-r1.ebuild
new file mode 100644
index 000000000000..9c12dd37e55a
--- /dev/null
+++ b/dev-java/ant-contrib/ant-contrib-1.0_beta6_pre20201123-r1.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# Skeleton command:
+# java-ebuilder --generate-ebuild --workdir . --pom pom.xml --download-uri 
https://github.com/cniweb/ant-contrib/archive/0228412be2ef648cfabc1d74416d3188755aff9b.tar.gz
 --slot 0 --keywords "~amd64 ~ppc64 ~x86" --ebuild 
ant-contrib-1.0_beta6_pre20201123.ebuild
+
+EAPI=8
+
+JAVA_PKG_IUSE="doc source test"
+MAVEN_ID="ant-contrib:ant-contrib:1.0b6"
+JAVA_TESTING_FRAMEWORKS="junit-4"
+
+inherit java-pkg-2 java-pkg-simple
+
+MY_COMMIT="0228412be2ef648cfabc1d74416d3188755aff9b"
+DESCRIPTION="Ant-contrib tasks for Apache Ant"
+HOMEPAGE="http://ant-contrib.sourceforge.net";
+SRC_URI="https://github.com/cniweb/${PN}/archive/${MY_COMMIT}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~x86"
+
+# Too many tests fail
+RESTRICT="test"
+
+# Common dependencies
+# POM: pom.xml
+# commons-httpclient:commons-httpclient:3.1 -> 
>=dev-java/commons-httpclient-3.1:3
+# org.apache.ant:ant:1.9.15 -> >=dev-java/ant-core-1.10.9:0
+# org.apache.bcel:bcel:5.1 -> >=dev-java/bcel-6.5.0:0
+# org.apache.ivy:ivy:2.5.0 -> >=dev-java/ant-ivy-2.5.0:2
+# org.jvnet.hudson:ivy:1.4.1 -> !!!groupId-not-found!!!
+# xerces:xercesImpl:2.12.0 -> >=dev-java/xerces-2.12.0:2
+
+CDEPEND="
+       dev-java/ant-core:0
+       dev-java/ant-ivy:2
+       dev-java/bcel:0
+       dev-java/commons-httpclient:3
+       dev-java/xerces:2
+"
+
+# Compile dependencies
+# POM: pom.xml
+# test? junit:junit:4.12 -> >=dev-java/junit-4.12:4
+# test? org.apache.ant:ant-launcher:1.9.5 -> >=dev-java/ant-core-1.10.9:0
+
+DEPEND="${CDEPEND}
+       >=virtual/jdk-1.8:*
+       test? (
+               dev-java/ant-core:0
+       )"
+
+RDEPEND="${CDEPEND}
+       >=virtual/jre-1.8:*"
+
+S="${WORKDIR}/${PN}-${MY_COMMIT}/${PN}"
+
+#      
JAVA_GENTOO_CLASSPATH="commons-httpclient-3,ant-core,bcel,ant-ivy-2,!!!groupId-not-found!!!,xerces-2"
+JAVA_GENTOO_CLASSPATH="commons-httpclient-3,ant-core,bcel,ant-ivy-2,xerces-2"
+JAVA_SRC_DIR="src/main/java"
+JAVA_RESOURCE_DIRS="src/main/resources"
+
+JAVA_TEST_GENTOO_CLASSPATH="junit-4,ant-core"
+JAVA_TEST_SRC_DIR="test/src"
+JAVA_TEST_RESOURCE_DIRS="test/resources"
+
+src_prepare() {
+       default
+       sed -i \
+               -e '/^import/s/fr.jayasoft.ivy.ant/org.apache.ivy.ant/' \
+               src/main/java/net/sf/antcontrib/net/Ivy14Adapter.java || die
+}

Reply via email to